Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]problem installing oracle appserver 10g (libdb.so.2)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hyppo.msk
n00b
n00b


Joined: 26 Oct 2008
Posts: 2

PostPosted: Sun Oct 26, 2008 9:23 pm    Post subject: [SOLVED]problem installing oracle appserver 10g (libdb.so.2) Reply with quote

hello all!
this is my first message here

i jumped into gentoo 32-bit recently and have to install oracle application server 10g (10.1.2) x86
during oc4j instance configuration i have error:
/Apache/Apache/bin/httpd: error while loading shared libraries: libdb.so.2

there are no such library exactly, and creating symblink for it from some another library won't help, becoz i'll get more and more other errors
i found solution for fedora suse and ubuntu distros - install compat-db (db1) package, but for gentoo there no such packet in emerge system
what can i do next?

thx for help

update

hurray!!!
i found solution - oracle is very sensitive for particular version of libraries, but i managed to pick correct version
so u need this link in /usr/lib
libdb.so.2 -> libgdbm_compat.so.3

after that there will be one more problem, with accessing forms via oc4j container
but this link in /$ORACLE_HOME/lib will solve problem
libXm.so.2 -> /usr/lib/libXm.so.3

and now my both database and forms appserver run very good 8) 8) 8)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum